Subject: Re: Problems with dma_alloc_coherent()

From: Christoph Hellwig <[email-masked]>
Date: Fri, 2 Apr 2004 07:45:39 +0200

On Thu, Apr 01, 2004 at 02:10:00PM -0500, John Whitney wrote:
> sounds like a good solution to me, although I'd like to see the
> "device" structure get that DMA offset I mentioned, so the DMA API
> wouldn't have to have a special case for each new bus-type added (PLB,

That doesn't work because there's much more complex bridges that do
complicated remapping of the bus addresses and it's not a simple offset.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/